Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.filters
[Java] Interface GrailsFiltersClass

    org.codehaus.groovy.grails.web.filters.GrailsFiltersClass
      org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAware
          org.codehaus.groovy.grails.commons.GrailsClass
              org.codehaus.groovy.grails.commons.InjectableGrailsClass

All Superinterfaces:
  GrailsApplicationAware, GrailsClass, InjectableGrailsClass

    public interface GrailsFiltersClass
    extends InjectableGrailsClass

Interface that defines filter class which return a list of FilterConfig instances

Authors:
  mike
  Graeme Rocher

Method Summary
`java.util.List` | `getConfigs(java.lang.Object filterInstance)` @return the FilterConfig instances

Methods inherited from interface InjectableGrailsClass
byName, byType, getAvailable

Methods inherited from interface GrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance

Methods inherited from interface GrailsApplicationAware
setGrailsApplication

Method Detail

### getConfigs

    public java.util.List getConfigs(java.lang.Object filterInstance)

  Returns:
    the FilterConfig instances

Groovy Documentation